{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="b-example-divider"></div>
<div class="container">
    {% if control == 'added' %}
        <div class="alert alert-success" role="alert">
            The editorial was added successfully!
        </div>
    {% elif control == 'error' %}
        <div class="alert alert-danger" role="alert">
            An unexpected error occurred while adding the editorial, contact the administrator!
        </div>
    {% elif control == 'exists' %}
        <div class="alert alert-warning" role="alert">
            The editorial already exists!
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">Editorial</h5>
        <div class="card-body">
            <h5 class="card-title">Add a new editorial to the virtual library</h5>
            <form class="p-4 p-md-5 border rounded-3 bg-light" action="{% url 'add_editorial' %}" method="post">
                {% csrf_token %}
                <div class="mb-3">
                    <label for="inputName" class="form-label">Editorial name</label>
                    <input type="text" class="form-control" name="inputName" id="inputName" aria-describedby="emailHelp" required>
                    <div id="nameHelp" class="form-text">This is the name of the new editorial.</div>
                </div>
                <div class="mb-3">
                    <label for="inputAddress" class="form-label">Address</label>
                    <input type="text" class="form-control" name="inputAddress" id="inputAddress" required>
                    <div id="addressHelp" class="form-text">This is the address of the new editorial.</div>
                </div>
                <div class="mb-3">
                    <label for="inputPhone" class="form-label">Phone</label>
                    <input type="text" class="form-control" name="inputPhone" id="inputPhone" required>
                    <div id="phonesHelp" class="form-text">This is the phone of the new editorial.</div>
                </div>
                <button type="submit" class="btn btn-success">Create</button>
                <button type="button" onclick="window.location.href='{% url 'all_editorials' %}'" class="btn btn-primary">Return</button>
            </form>
        </div>
    </div>
</div>
{% endblock %}
